PartDesign Feature/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Caption|Редактирование элементов в PartDesign Body с тремя последовательными функциями.}}")
(Created page with "Есть много типов элементов, которые могут добавить или удалить объем исходного твердого тела. С...")
Line 8: Line 8:
{{Caption|Редактирование элементов в [[PartDesign_Body/ru|PartDesign Body]] с тремя последовательными функциями.}}
{{Caption|Редактирование элементов в [[PartDesign_Body/ru|PartDesign Body]] с тремя последовательными функциями.}}


Есть много типов элементов, которые могут добавить или удалить объем исходного твердого тела. Слово «элемент» относится к самой операции, а также к твёрдому телу, полученному после этой операции.
There are many types of features which can add or remove volume from an initial solid. The word "feature" refers to the operation itself, and also to the resulting solid after that operation.


To learn more about creating solid objects with the [[PartDesign Workbench|PartDesign Workbench]] see [[feature editing|feature editing]].
To learn more about creating solid objects with the [[PartDesign Workbench|PartDesign Workbench]] see [[feature editing|feature editing]].

Revision as of 13:32, 16 October 2020

Other languages:

Введение

PartDesign Feature относится к «шагу» в процессе моделирования, происходzotve внутри PartDesign Body. Например, каждый раз, когда вы добавляете сплошную коробку с помощью PartDesign AdditiveBox, вы добавляете функцию; когда вы добавляете фаску к кромке с помощью PartDesign Chamfer, вы добавляете еще один элемент; когда вы вырезаете отверстие с помощью sketch и PartDesign Pocket, вы добавляете ещё один элемент.

Редактирование элементов в PartDesign Body с тремя последовательными функциями.

Есть много типов элементов, которые могут добавить или удалить объем исходного твердого тела. Слово «элемент» относится к самой операции, а также к твёрдому телу, полученному после этой операции.

To learn more about creating solid objects with the PartDesign Workbench see feature editing.

Использование

Almost all tools in the PartDesign Workbench are meant to add features to a PartDesign Body. These tools can be accessed from the menu and toolbar buttons while an object or sub-element (vertex, edge, face) is selected.

The features can be placed in different categories:

Inheritance

Simplified diagram of the relationships between the core objects in the program. The PartDesign::Feature objects are used to build parametric 3D solids, and thus are derived from the basic Part::Feature object.

Scripting

See also: FreeCAD Scripting Basics, and scripted objects.

See Part Feature for the general information on adding objects from the Python console.

See PartDesign Body for the general information on adding a Body. Once a Body exists, features can be attached to it using the Body's addObject() method.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject('PartDesign::Body', 'Body')
obj.Label = "Custom label"

feature = App.ActiveDocument.addObject('PartDesign::AdditiveBox', 'Box')
feature.Width = 200
feature.Length = 300
feature.Height = 500
obj.addObject(feature)
App.ActiveDocument.recompute()

feature2 = App.ActiveDocument.addObject('PartDesign::SubtractiveBox', 'Box')
feature2.Width = 50
feature2.Length = 200
feature2.Height = 400
obj.addObject(feature2)
App.ActiveDocument.recompute()